Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphTable.ClassSequenceRule

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphTable.Rule
          org.apache.fop.complexscripts.fonts.GlyphTable.ClassSequenceRule

Direct Known Subclasses:
  GlyphTable.ChainedClassSequenceRule

Enclosing class:
  GlyphTable

    public static class GlyphTable.ClassSequenceRule

extends GlyphTable.Rule

The `ClassSequenceRule` class implements a subclass of `Rule` that supports matching on a specific glyph class sequence.

Constructor Summary
`GlyphTable.ClassSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, int[] classes)` Instantiate a ClassSequenceRule.

Method Summary
`int[]` | `getClasses()` Obtain glyph classes.
`int[]` | `getClasses(int firstClass)` Obtain glyph classes augmented by specified first class entry.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule
`getInputSequenceLength, getLookups, resolveLookupReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphTable.ClassSequenceRule

    public GlyphTable.ClassSequenceRule(GlyphTable.RuleLookup[] lookups,
                                        int inputSequenceLength,
                                        int[] classes)

  Instantiate a ClassSequenceRule.

  Parameters:
    `lookups` - the rule's lookups
    `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
    `classes` - the rule's glyph class sequence to match, starting with second glyph in sequence

Method Detail

### getClasses

    public int[] getClasses()

  Obtain glyph classes. N.B. that this array starts with the class of the second glyph of the input sequence.

  Returns:
    the classes

### getClasses

    public int[] getClasses(int firstClass)

  Obtain glyph classes augmented by specified first class entry.

  Parameters:
    `firstClass` - to fill in first class entry
  Returns:
    the classes augmented by first class

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GlyphTable.Rule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.